diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
index 589650c7..f466a90b 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConf.class.php
@@ -2,16 +2,15 @@
 
 /**
  * @file
- * class to encapsulate an ldap entry to authorization consumer ids mapping configuration
+ * Class to encapsulate an ldap entry to authorization consumer ids mapping configuration.
  *
- * this is the lightweight version of the class for use on logon etc.
+ * This is the lightweight version of the class for use on logon etc.
  * the LdapAuthorizationConsumerConfAdmin extends this class and has save,
  * iterate, etc methods.
- *
  */
 
 /**
- * LDAP Authorization Consumer Configuration
+ * LDAP Authorization Consumer Configuration.
  */
 class LdapAuthorizationConsumerConf {
 
@@ -44,16 +43,19 @@ class LdapAuthorizationConsumerConf {
   public $hasError = FALSE;
   public $errorName = NULL;
 
-
+  /**
+   *
+   */
   public function clearError() {
     $this->hasError = FALSE;
     $this->errorMsg = NULL;
     $this->errorName = NULL;
   }
-   /**
-   * Constructor Method
+
+  /**
+   * Constructor Method.
    */
-  function __construct(&$consumer, $_new = FALSE, $_sid = NULL) {
+  public function __construct(&$consumer, $_new = FALSE, $_sid = NULL) {
     $this->consumer = $consumer;
     $this->consumerType = $consumer->consumerType;
     if ($_new) {
@@ -66,10 +68,13 @@ class LdapAuthorizationConsumerConf {
         watchdog('ldap_authorization', 'failed to load existing %consumer object', array('%consumer' => $consumer->consumerType), WATCHDOG_ERROR);
       }
     }
-    // default value for deriveFromEntryAttrMatchingUserAttr set up this way for backward compatibility in 1.0 branch,
+    // Default value for deriveFromEntryAttrMatchingUserAttr set up this way for backward compatibility in 1.0 branch,
     // make deriveFromEntryAttrMatchingUserAttr default to dn in 2.0 branch.
   }
 
+  /**
+   *
+   */
   protected function loadFromDb() {
     if (module_exists('ctools')) {
       ctools_include('export');
@@ -83,7 +88,7 @@ class LdapAuthorizationConsumerConf {
     else {
       $select = db_select('ldap_authorization', 'ldap_authorization');
       $select->fields('ldap_authorization');
-      $select->condition('ldap_authorization.consumer_type',  $this->consumerType);
+      $select->condition('ldap_authorization.consumer_type', $this->consumerType);
       $server_record = $select->execute()->fetchObject();
     }
 
@@ -92,7 +97,7 @@ class LdapAuthorizationConsumerConf {
       return FALSE;
     }
 
-    foreach ($this->field_to_properties_map() as $db_field_name => $property_name ) {
+    foreach ($this->field_to_properties_map() as $db_field_name => $property_name) {
       if (isset($server_record->$db_field_name)) {
         if (in_array($db_field_name, $this->field_to_properties_serialized())) {
           $this->{$property_name} = unserialize($server_record->$db_field_name);
@@ -102,13 +107,15 @@ class LdapAuthorizationConsumerConf {
         }
       }
     }
-    $this->numericConsumerConfId = isset($server_record->numeric_consumer_conf_id)? $server_record->numeric_consumer_conf_id : NULL;
+    $this->numericConsumerConfId = isset($server_record->numeric_consumer_conf_id) ? $server_record->numeric_consumer_conf_id : NULL;
     $this->server = ldap_servers_get_servers($this->sid, NULL, TRUE);
     return TRUE;
 
   }
 
-  // direct mapping of db to object properties
+  /**
+   * Direct mapping of db to object properties.
+   */
   public static function field_to_properties_map() {
     return array(
       'sid' => 'sid',
@@ -127,20 +134,26 @@ class LdapAuthorizationConsumerConf {
     );
   }
 
+  /**
+   *
+   */
   public static function field_to_properties_serialized() {
     return array('mappings');
   }
 
   /**
-   * Destructor Method
+   * Destructor Method.
    */
-  function __destruct() {
+  public function __destruct() {
 
   }
 
   protected $_sid;
   protected $_new;
 
+  /**
+   *
+   */
   protected function linesToArray($lines) {
     $lines = trim($lines);
 
@@ -156,7 +169,9 @@ class LdapAuthorizationConsumerConf {
     return $array;
   }
 
-
+  /**
+   *
+   */
   protected function pipeListToArray($mapping_list_txt, $make_item0_lowercase = FALSE) {
     $result_array = array();
     $mappings = preg_split('/[\n\r]+/', $mapping_list_txt);
@@ -168,4 +183,5 @@ class LdapAuthorizationConsumerConf {
     }
     return $result_array;
   }
+
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
index ad282a33..22366976 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/LdapAuthorizationConsumerConfAdmin.class.php
@@ -2,39 +2,41 @@
 
 /**
  * @file
- * class to encapsulate an ldap authorization ldap entry to authorization ids mapping
- *
+ * Class to encapsulate an ldap authorization ldap entry to authorization ids mapping.
  */
 
 module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerConf.class');
-  /**
-   * LDAP Authorization Consumer Configration Admin Class
-   */
+/**
+ * LDAP Authorization Consumer Configration Admin Class.
+ */
 class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
 
-
+  /**
+   *
+   */
   public function save() {
 
     $op = $this->inDatabase ? 'edit' : 'insert';
-    $values = new stdClass; // $this;
+    // $this;.
+    $values = new stdClass();
     $values->sid = $this->sid;
     $values->numeric_consumer_conf_id = $this->numericConsumerConfId;
     $values->consumer_type = $this->consumerType;
     $values->consumer_module = $this->consumer->consumerModule;
     $values->status = ($this->status) ? 1 : 0;
-    $values->only_ldap_authenticated = (int)$this->onlyApplyToLdapAuthenticated;
-    $values->use_first_attr_as_groupid = (int)$this->useFirstAttrAsGroupId;
+    $values->only_ldap_authenticated = (int) $this->onlyApplyToLdapAuthenticated;
+    $values->use_first_attr_as_groupid = (int) $this->useFirstAttrAsGroupId;
     $values->mappings = serialize($this->mappings);
-    $values->use_filter = (int)$this->useMappingsAsFilter;
-    $values->synch_to_ldap = (int)$this->synchToLdap;
-    $values->synch_on_logon = (int)$this->synchOnLogon;
-    $values->revoke_ldap_provisioned = (int)$this->revokeLdapProvisioned;
-    $values->create_consumers = (int)$this->createConsumers;
-    $values->regrant_ldap_provisioned = (int)$this->regrantLdapProvisioned;
+    $values->use_filter = (int) $this->useMappingsAsFilter;
+    $values->synch_to_ldap = (int) $this->synchToLdap;
+    $values->synch_on_logon = (int) $this->synchOnLogon;
+    $values->revoke_ldap_provisioned = (int) $this->revokeLdapProvisioned;
+    $values->create_consumers = (int) $this->createConsumers;
+    $values->regrant_ldap_provisioned = (int) $this->regrantLdapProvisioned;
 
     if (module_exists('ctools')) {
       ctools_include('export');
-      // Populate our object with ctool's properties
+      // Populate our object with ctool's properties.
       $object = ctools_export_crud_new('ldap_authorization');
       foreach ($object as $property => $value) {
         if (!isset($values->$property)) {
@@ -44,18 +46,23 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
       try {
         $values->export_type = NULL;
         $result = ctools_export_crud_save('ldap_authorization', $values);
-      } catch (Exception $e) {
+      }
+      catch (Exception $e) {
         $values->export_type = EXPORT_IN_DATABASE;
         $result = ctools_export_crud_save('ldap_authorization', $values);
       }
-      ctools_export_load_object_reset('ldap_authorization'); // ctools_export_crud_save doesn't invalidate cache
+      // ctools_export_crud_save doesn't invalidate cache.
+      ctools_export_load_object_reset('ldap_authorization');
     }
     else {
 
       if ($op == 'edit') {
         $result = drupal_write_record('ldap_authorization', $values, 'consumer_type');
       }
-      else { // insert
+      /**
+ *Insert.
+ */
+      else {
         $result = drupal_write_record('ldap_authorization', $values);
       }
 
@@ -72,6 +79,9 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
   public $fields;
   public $consumers;
 
+  /**
+   *
+   */
   public function delete() {
     if ($this->consumerType) {
       $this->inDatabase = FALSE;
@@ -82,6 +92,9 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
     }
   }
 
+  /**
+   *
+   */
   public function __construct(&$consumer = NULL, $new = FALSE) {
     parent::__construct($consumer, $new);
     $this->fields = $this->fields();
@@ -94,12 +107,15 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
     }
   }
 
+  /**
+   *
+   */
   public function drupalForm($server_options, $op) {
 
     $consumer_tokens = ldap_authorization_tokens($this->consumer);
     $form['intro'] = array(
-        '#type' => 'item',
-        '#markup' => t('<h1>LDAP to !consumer_name Configuration</h1>', $consumer_tokens),
+      '#type' => 'item',
+      '#markup' => t('<h1>LDAP to !consumer_name Configuration</h1>', $consumer_tokens),
     );
 
     $form['status'] = array(
@@ -126,20 +142,19 @@ class LdapAuthorizationConsumerConfAdmin extends LdapAuthorizationConsumerConf {
     $form['status']['status'] = array(
       '#type' => 'checkbox',
       '#title' => t('Enable this configuration', $consumer_tokens),
-      '#default_value' =>  $this->status,
+      '#default_value' => $this->status,
     );
 
     $form['status']['only_ldap_authenticated'] = array(
       '#type' => 'checkbox',
       '#title' => t('Only apply the following LDAP to !consumer_name configuration to users authenticated via LDAP.  One uncommon reason for disabling this is when you are using Drupal authentication, but want to leverage LDAP for authorization; for this to work the Drupal username still has to map to an LDAP entry.', $consumer_tokens),
-      '#default_value' =>  $this->onlyApplyToLdapAuthenticated,
+      '#default_value' => $this->onlyApplyToLdapAuthenticated,
     );
 
-
     if (method_exists($this->consumer, 'mappingExamples')) {
       $consumer_tokens['!examples'] = '<fieldset class="collapsible collapsed form-wrapper" id="authorization-mappings">
 <legend><span class="fieldset-legend">' . t('Examples based on current !consumer_namePlural', $consumer_tokens) . '</span></legend>
-<div class="fieldset-wrapper">'. $this->consumer->mappingExamples($consumer_tokens) . '<div class="fieldset-wrapper">
+<div class="fieldset-wrapper">' . $this->consumer->mappingExamples($consumer_tokens) . '<div class="fieldset-wrapper">
 </fieldset>';
     }
     else {
@@ -186,10 +201,9 @@ Representations of groups derived from LDAP might initially look like:
       '#default_value' => $this->useMappingsAsFilter,
       '#description' => t('If enabled, only above mapped !consumer_namePlural will be assigned (e.g. students and administrator).
         <strong>If not checked, !consumer_namePlural not mapped above also may be created and granted (e.g. gryffindor and probation students).  In some LDAPs this can lead to hundreds of !consumer_namePlural being created if "Create !consumer_namePlural if they do not exist" is enabled below.
-        </strong>', $consumer_tokens)
+        </strong>', $consumer_tokens),
     );
 
-
     $form['more'] = array(
       '#type' => 'fieldset',
       '#title' => t('Part III.  Even More Settings.'),
@@ -198,31 +212,31 @@ Representations of groups derived from LDAP might initially look like:
     );
 
     $synchronization_modes = array();
-    if ($this->synchOnLogon)  {
+    if ($this->synchOnLogon) {
       $synchronization_modes[] = 'user_logon';
     }
     $form['more']['synchronization_modes'] = array(
       '#type' => 'checkboxes',
       '#title' => t('When should !consumer_namePlural be granted/revoked from user?', $consumer_tokens),
       '#options' => array(
-          'user_logon' => t('When a user logs on.'),
+        'user_logon' => t('When a user logs on.'),
       ),
       '#default_value' => $synchronization_modes,
       '#description' => '',
     );
 
     $synchronization_actions = array();
-    if ($this->revokeLdapProvisioned)  {
+    if ($this->revokeLdapProvisioned) {
       $synchronization_actions[] = 'revoke_ldap_provisioned';
     }
-    if ($this->createConsumers)  {
+    if ($this->createConsumers) {
       $synchronization_actions[] = 'create_consumers';
     }
-    if ($this->regrantLdapProvisioned)  {
+    if ($this->regrantLdapProvisioned) {
       $synchronization_actions[] = 'regrant_ldap_provisioned';
     }
 
-    $options =  array(
+    $options = array(
       'revoke_ldap_provisioned' => t('Revoke !consumer_namePlural previously granted by LDAP Authorization but no longer valid.', $consumer_tokens),
       'regrant_ldap_provisioned' => t('Re grant !consumer_namePlural previously granted by LDAP Authorization but removed manually.', $consumer_tokens),
     );
@@ -246,16 +260,16 @@ Representations of groups derived from LDAP might initially look like:
 
     switch ($op) {
       case 'add':
-      $action = 'Add';
-      break;
+        $action = 'Add';
+        break;
 
       case 'edit':
-      $action = 'Save';
-      break;
+        $action = 'Save';
+        break;
 
       case 'delete':
-      $action = 'Delete';
-      break;
+        $action = 'Delete';
+        break;
     }
 
     $form['submit'] = array(
@@ -263,33 +277,41 @@ Representations of groups derived from LDAP might initially look like:
       '#value' => $action,
     );
 
-  return $form;
+    return $form;
   }
 
-
+  /**
+   *
+   */
   protected function loadFromForm($values, $op) {
 
   }
 
+  /**
+   *
+   */
   public function getLdapAuthorizationConsumerActions() {
     $actions = array();
-    $actions[] =  l(t('edit'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/edit/' . $this->consumerType);
+    $actions[] = l(t('edit'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/edit/' . $this->consumerType);
     if (property_exists($this, 'type')) {
       if ($this->type == 'Overridden') {
-          $actions[] = l(t('revert'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
+        $actions[] = l(t('revert'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
       }
       if ($this->type == 'Normal') {
-          $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
+        $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
       }
     }
     else {
-        $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
+      $actions[] = l(t('delete'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/delete/' . $this->consumerType);
     }
     $actions[] = l(t('test'), LDAP_SERVERS_MENU_BASE_PATH . '/authorization/test/' . $this->consumerType);
     return $actions;
   }
 
-  public function drupalFormValidate($op, $values)  {
+  /**
+   *
+   */
+  public function drupalFormValidate($op, $values) {
     $errors = array();
 
     if ($op == 'delete') {
@@ -309,6 +331,9 @@ Representations of groups derived from LDAP might initially look like:
     return $errors;
   }
 
+  /**
+   *
+   */
   public function validate($form_values = array()) {
     $errors = array();
 
@@ -337,6 +362,9 @@ Representations of groups derived from LDAP might initially look like:
     return $errors;
   }
 
+  /**
+   *
+   */
   protected function populateFromDrupalForm($op, $values) {
 
     $this->inDatabase = (drupal_strtolower($op) == 'edit' || drupal_strtolower($op) == 'save');
@@ -344,27 +372,31 @@ Representations of groups derived from LDAP might initially look like:
 
     $this->sid = $values['sid'];
 
-    $this->status = (bool)$values['status'];
-    $this->onlyApplyToLdapAuthenticated  = (bool)(@$values['only_ldap_authenticated']);
-    $this->useFirstAttrAsGroupId  = (bool)($values['use_first_attr_as_groupid']);
+    $this->status = (bool) $values['status'];
+    $this->onlyApplyToLdapAuthenticated = (bool) (@$values['only_ldap_authenticated']);
+    $this->useFirstAttrAsGroupId = (bool) ($values['use_first_attr_as_groupid']);
 
     $this->mappings = $this->consumer->normalizeMappings($this->pipeListToArray($values['mappings'], FALSE));
-    $this->useMappingsAsFilter  = (bool)(@$values['use_filter']);
+    $this->useMappingsAsFilter = (bool) (@$values['use_filter']);
 
-    $this->synchOnLogon = (bool)(@$values['synchronization_modes']['user_logon']);
-    $this->regrantLdapProvisioned = (bool)(@$values['synchronization_actions']['regrant_ldap_provisioned']);
-    $this->revokeLdapProvisioned = (bool)(@$values['synchronization_actions']['revoke_ldap_provisioned']);
-    $this->createConsumers = (bool)(@$values['synchronization_actions']['create_consumers']);
+    $this->synchOnLogon = (bool) (@$values['synchronization_modes']['user_logon']);
+    $this->regrantLdapProvisioned = (bool) (@$values['synchronization_actions']['regrant_ldap_provisioned']);
+    $this->revokeLdapProvisioned = (bool) (@$values['synchronization_actions']['revoke_ldap_provisioned']);
+    $this->createConsumers = (bool) (@$values['synchronization_actions']['create_consumers']);
 
   }
 
+  /**
+   *
+   */
   public function drupalFormSubmit($op, $values) {
 
     $this->populateFromDrupalForm($op, $values);
     if ($op == 'delete') {
       $this->delete();
     }
-    else { // add or edit
+    // Add or edit.
+    else {
 
       try {
         $save_result = $this->save();
@@ -377,52 +409,54 @@ Representations of groups derived from LDAP might initially look like:
     }
   }
 
-
+  /**
+   *
+   */
   public static function fields() {
 
-     /**
+    /**
      * consumer_type is tag (unique alphanumeric id) of consuming authorization such as
      *   drupal_roles, og_groups, civicrm_memberships
      */
     $fields = array(
       'numeric_consumer_conf_id' => array(
-          'schema' => array(
-            'type' => 'serial',
-            'unsigned' => TRUE,
-            'not null' => TRUE,
-            'description' => 'Primary ID field for the table.  Only used internally.',
-            'no export' => TRUE,
-          ),
+        'schema' => array(
+          'type' => 'serial',
+          'unsigned' => TRUE,
+          'not null' => TRUE,
+          'description' => 'Primary ID field for the table.  Only used internally.',
+          'no export' => TRUE,
         ),
+      ),
       'sid' => array(
         'schema' => array(
           'type' => 'varchar',
           'length' => 20,
           'not null' => TRUE,
-        )
+        ),
       ),
       'consumer_type' => array(
-         'schema' => array(
-            'type' => 'varchar',
-            'length' => 20,
-            'not null' => TRUE,
-        )
+        'schema' => array(
+          'type' => 'varchar',
+          'length' => 20,
+          'not null' => TRUE,
+        ),
       ),
-     'consumer_module' => array(
-         'schema' => array(
-            'type' => 'varchar',
-            'length' => 30,
-            'not null' => TRUE,
-        )
+      'consumer_module' => array(
+        'schema' => array(
+          'type' => 'varchar',
+          'length' => 30,
+          'not null' => TRUE,
+        ),
       ),
 
       'status' => array(
-          'schema' => array(
-            'type' => 'int',
-            'size' => 'tiny',
-            'not null' => TRUE,
-            'default' => 0,
-          )
+        'schema' => array(
+          'type' => 'int',
+          'size' => 'tiny',
+          'not null' => TRUE,
+          'default' => 0,
+        ),
       ),
       'only_ldap_authenticated' => array(
         'schema' => array(
@@ -430,7 +464,7 @@ Representations of groups derived from LDAP might initially look like:
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 1,
-        )
+        ),
       ),
 
       'use_first_attr_as_groupid' => array(
@@ -439,7 +473,7 @@ Representations of groups derived from LDAP might initially look like:
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 0,
-        )
+        ),
       ),
 
       'mappings'  => array(
@@ -449,7 +483,7 @@ Representations of groups derived from LDAP might initially look like:
           'size' => 'medium',
           'not null' => FALSE,
           'default' => NULL,
-        )
+        ),
       ),
 
       'use_filter' => array(
@@ -458,15 +492,15 @@ Representations of groups derived from LDAP might initially look like:
           'size' => 'tiny',
           'not null' => TRUE,
           'default' => 1,
-        )
+        ),
       ),
 
       'synchronization_modes' => array(
-        'form_default' =>  array('user_logon'),
+        'form_default' => array('user_logon'),
       ),
 
       'synchronization_actions' => array(
-        'form_default' =>  array('revoke_ldap_provisioned', 'create_consumers'),
+        'form_default' => array('revoke_ldap_provisioned', 'create_consumers'),
       ),
 
       'synch_to_ldap'  => array(
@@ -496,7 +530,7 @@ Representations of groups derived from LDAP might initially look like:
         ),
       ),
 
-     'create_consumers'  => array(
+      'create_consumers'  => array(
         'schema' => array(
           'type' => 'int',
           'size' => 'tiny',
@@ -505,7 +539,7 @@ Representations of groups derived from LDAP might initially look like:
         ),
       ),
 
-     'regrant_ldap_provisioned'  => array(
+      'regrant_ldap_provisioned'  => array(
         'schema' => array(
           'type' => 'int',
           'size' => 'tiny',
@@ -517,7 +551,9 @@ Representations of groups derived from LDAP might initially look like:
     return $fields;
   }
 
-
+  /**
+   *
+   */
   protected function mappingsToPipeList($mappings) {
     $result_text = "";
     foreach ($mappings as $map) {
@@ -526,5 +562,4 @@ Representations of groups derived from LDAP might initially look like:
     return $result_text;
   }
 
-
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
index 8a4f9702..59acfea6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authorization/ldap_authorization.admin.inc
@@ -5,13 +5,11 @@
  * Administrative page callbacks for the ldap_authorization module.  Consumer configuration form and index.
  */
 
-
 /**
- * index of ldap authorization configurations
+ * Index of ldap authorization configurations.
  *
  * @return string html table
  */
-
 function ldap_authorizations_admin_index() {
 
   $consumers = ldap_authorization_get_consumers(NULL, TRUE, FALSE);
@@ -33,18 +31,18 @@ function ldap_authorizations_admin_index() {
 
 }
 
-
-
 /**
- * form for adding, updating, and deleting a single ldap authorization configuration
+ * Form for adding, updating, and deleting a single ldap authorization configuration.
  *
  * @param form array $form
  * @param form state array $form_state
- * @param string $op (add, edit, or delete)
- * @param string $consumer_type e.g. drupal_roles, og_group, etc.  Only needed for adds
+ * @param string $op
+ *   (add, edit, or delete)
+ * @param string $consumer_type
+ *   e.g. drupal_roles, og_group, etc.  Only needed for adds.
+ *
  * @return drupal form array
  */
-
 function ldap_authorization_admin_form($form, &$form_state, $consumer_type, $op = NULL) {
   ldap_servers_module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerConfAdmin.class');
   $consumer = ldap_authorization_get_consumer_object($consumer_type);
@@ -67,7 +65,6 @@ function ldap_authorization_admin_form($form, &$form_state, $consumer_type, $op
     drupal_goto('admin/config/people/ldap/authorization');
   }
 
-
   $new = ($op == 'add');
   $consumer_conf_admin = new LdapAuthorizationConsumerConfAdmin($consumer, $new);
 
@@ -78,14 +75,12 @@ function ldap_authorization_admin_form($form, &$form_state, $consumer_type, $op
 
 }
 
-
 /**
- * validate handler for the ldap_authorization_admin_form
+ * Validate handler for the ldap_authorization_admin_form.
  */
-
 function ldap_authorization_admin_form_validate($form, &$form_state) {
 
-  list($consumer, $op, $op_past, $new)  = _ldap_authorization_admin_parse_form($form, $form_state);
+  list($consumer, $op, $op_past, $new) = _ldap_authorization_admin_parse_form($form, $form_state);
   $values = $form_state['values'];
   ldap_servers_module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerConfAdmin.class');
   $consumer_conf_admin = new LdapAuthorizationConsumerConfAdmin($consumer, $new);
@@ -98,17 +93,16 @@ function ldap_authorization_admin_form_validate($form, &$form_state) {
 
 }
 
-
 /**
- * submit handler function for ldap_authorization_admin_form
+ * Submit handler function for ldap_authorization_admin_form.
  */
-
 function ldap_authorization_admin_form_submit($form, &$form_state) {
-  list($consumer, $op, $op_past_tense, $new)  = _ldap_authorization_admin_parse_form($form, $form_state);
+  list($consumer, $op, $op_past_tense, $new) = _ldap_authorization_admin_parse_form($form, $form_state);
   $values = $form_state['values'];
   ldap_servers_module_load_include('php', 'ldap_authorization', 'LdapAuthorizationConsumerConfAdmin.class');
   $consumer_conf = new LdapAuthorizationConsumerConfAdmin($consumer, $new);
-  $consumer_conf->drupalFormSubmit($op, $values);  // add form data to object and save or create
+  // Add form data to object and save or create.
+  $consumer_conf->drupalFormSubmit($op, $values);
 
   if ($consumer_conf->hasError == FALSE) {
     drupal_set_message(t('LDAP Authorization %name !verb', array('!verb' => $op_past_tense, '%name' => $consumer->name)), 'status');
@@ -121,9 +115,8 @@ function ldap_authorization_admin_form_submit($form, &$form_state) {
 }
 
 /**
- * helper function for parsing ldap authorization config form
+ * Helper function for parsing ldap authorization config form.
  */
-
 function _ldap_authorization_admin_parse_form($form, &$form_state) {
   $op = drupal_strtolower($form_state['clicked_button']['#value']);
   $values = $form_state['values'];
@@ -140,19 +133,19 @@ function _ldap_authorization_admin_parse_form($form, &$form_state) {
     case 'add':
       $op_past_tense = 'Added';
       $new = TRUE;
-    break;
+      break;
 
     case 'save':
     case 'update':
     case 'edit':
       $op_past_tense = 'Updated';
       $new = FALSE;
-    break;
+      break;
 
     case 'delete':
       $op_past_tense = 'Deleted';
       $new = FALSE;
-    break;
+      break;
   }
 
   return array($consumer, $op, $op_past_tense, $new);
